## [6.0.0] - 2022-07.07
https://wiki.anvio.com/display/LIN/RELEASE+NOTE+LCS+6.0.0
### Added
 - SteamVR errors logging
 - ReadOnly flag on lighthousedb.json
 - Schedule and gamelist caching

### Changed
 - Control Service moved on ASP.NET Core
 - Changed port configuring https://wiki.anvio.com/pages/viewpage.action?pageId=1547501618
 - Console logging
 - Moved indicators on Agent card

### Fixed
 - SteamVR initialization
 - Multiverse creating and updating
 - Agent state indicator
 - Creating trackingini folder


## [5.2.0] - 2022-04-07
https://wiki.anvio.com/display/LIN/Releasenote+LCS+5.2.0
### Added
- Navigation buttons (next, back) moved on top of the page
- GameOptions moved on last page(SessionStart)
- Added restart client button
- Autostart requirement software (SteamVr, VirtualDesktop, ALVR )
- Added Steam game launching https://wiki.anvio.com/pages/viewpage.action?pageId=1536188429
- Added VideoSurface system https://wiki.anvio.com/pages/viewpage.action?pageId=1536176803&searchId=CIYW3AX4G
- Added VideoSurface control panel
- Added new launching parameters CanStream, SessionId, ParallelLaunching
- MultiSession launching
- Autominimizing Control Service to tray on startup
- "Stand" type of playgrounds
- Hide stands in expansion panels
- Added agents widget on computer select page
- Added Wake on lan function
- Added Session launch logging

### Changed
- Removed signal tracking blocks in agent card
- Updated agent card:  Agent ip in agent card is hidden
- Disabled Book CloudPc buttons
- Rabbit and MaMaService disabled

### Fixed
- Fixed: crash  on game builds synchronization
- Fixed: FTP logs upload
- Fixed: Closing game after Agent restart
- Fixed: Getting hidden games
- Fixed: RabbitMq crash
- Fixed: Steam session closing
- Manifests initialization

### Known bugs
- HMD charge work incorrect. Showing battery only with launched Anvio Launcher. SteamVR, but without connected Oculus Helmet by VirtualDesktop
- Problematic lighthouse updating



2021.12.28 - 5.1.1
* Hide "Switch all helmets" button if not needed
* Add auto off Windows firewall

2021.12.27 - 5.1.0
* Automatic game builds synchronization (between control unit and agents)
* Automatic game builds distribution to location (via uTorrent)
* Automatic builds folder creation on agents
* Automatic builds configuration vie  Manifest.json
* Tracking.ini automatic syncing
* Default tracking option into session launch pipeline
* [Beta] Matchmaking system

2021.10.21 - 4.1.0

* Controls the display of the SteamVR grid
* Warning message about different multiverse on clients
* Warning message about different tracking.ini on clients
* Added a preloader for the client restart button
* Changed display of status and type fields for client about widget
* Added Shutdown button for agents
* Added the ability to configure the working TCP port for agents and the management server

2021.09.22 - 4.0.152

- LIN-840 Added artifacts for RevolvVR

2021.09.22 - 4.0.152
- LIN-840 Added Switch all helmets button

2021.09.15 - 4.0.151
- Fixed VoxelArena games launching

2021.09.15 - 4.0.150
- Added Joy Hub launch on session timeout, fixed sound playing on session stop

2021.09.03 - 4.0.149
- Fixed voxel arena sessions start and restart

2021.09.03 - 4.0.147
- Fixed technical session control issue
- Added players count value provider

2021.08.18 - 4.0.146
- LIN-809 - Fixex Voxel Arena games stopping

2021.08.16 - 4.0.144
- LIN-809 - Added proccess tree stopping

2021.08.16 - 4.0.141
- LIN-751 Added tracker coordinates rotation and passing to command line

2021.08.02 - 3.0.138
- LIN-686 Added audio playback on return to HUB

2021.08.02 - 3.0.136
- LIN-686 Fixed session timer display
- Fixed agent display

2021.07.29 - 3.0.135
- LIN-715 Added unused cloud PC unbooking

2021.07.28 - 3.0.133
- LIN-745 Added statistics service

2021.07.26 - 3.0.132
- LIN-745 Added APK version display
- LIN-774 Fixed agent config saving

2021.07.22 - 3.0.131
- LIN-759 Added commercial and technical session control

2021.07.20 - 3.0.130
- LIN-733 Fixed audio device selection

2021.07.20 - 3.0.130
- LIN-733 Fixed audio device selection

2021.07.16 - 3.0.123
- LIN-754 added session end notification

2021.07.07 - 3.0.123
- LIN-704 added booking countdown timer
- LIN-629 fixed helmet battery display
- LIN-666 added helmet switching
- LIN-676 fixed VoxelArena session launch logic
- LIN-732 addede default session language setting
- LIN-688 added booking task auto cancelling

2021.06.24 - 3.0.113
- LIN-718 fixed session launch error processing

2021.06.24 - 3.0.112
- LIN-705 Added AMS callback to agent

2021.06.18 - 3.0.111
- LIN-705 Added AMS callback to agent

2021.06.15 - 3.0.107
- LIN-663 Added restart machine button

2021.06.15 - 3.0.106
- LIN-665 Added helmet ping display

2021.06.10 - 3.0.105
- LIN-596 Added battery value display

2021.06.10 - 3.0.104
- LIN-688 Added booking cancellation

2021.06.08 - 3.0.103
- LIN-688 Added AMS support

2021.05.24 - 3.0.101
- LIN-597 Fixed shipping builds logs saving

2021.05.24 - 3.0.98
- LIN-671 Added Voxel Arena games launching

2021.05.14 - 3.0.97
- LIN-555 LIN-612 Fixed shortcuts paths

2021.05.14 - 3.0.96
- LIN-555 LIN-612 Fixed shortcuts working directories

2021.05.14 - 3.0.96
- LIN-647 added prepared session cancellation on launch error

2021.05.14 - 3.0.95
- LIN-612 added audio file playing on hub game transition

2021.05.11 - 3.0.94
- LIN-555 added service and agent restart

2021.04.28 - 3.0.93
- LIN-558 added app ordering by installed builds

2021.04.28 - 3.0.91
- LIN-147 Added steam VR appdata folder clearing on multiverse update and reset, added helmet indication in universe settings

2021.04.27 - 3.0.89
- Added login to new UI
- LIN-357 Fixed issue with login

2021.04.23 - 3.0.87
- LIN-623 Change old and new ui base url

2021.04.22 - 3.0.86
- LIN-550 Added tracking type selection

2021.04.21 - 3.0.84
- LIN-530 Changed oculus service .apk and api
- LIN-588 Fixed session languaage seelection issue
- LIN-561 Fixed nullreference on session launch

2021.04.16 - 3.0.78
- LIN-561 Fixed issue with absent artifacts in config, fixed artifact requirement editing

2021.04.15 - 3.0.77
- Added ALVR support
- Added build request based on chosen conputers in new UI

2021.04.08 - 3.0.76
- Fixed restarting process error

2021.04.08 - 3.0.74
- Fixed issue with changing playground

2021.04.08 - 3.0.73
- Fixed multiple session launch, added preloader

2021.04.08 - 3.0.73
- Fixed issue with updating locations and selected location

2021.04.08 - 3.0.71
- Added Change log